Bug 846536 - Running fs_mark tool on fuse mount failed
Running fs_mark tool on fuse mount failed
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: write-behind (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 01:22 EDT by Shwetha Panduranga
Modified: 2013-07-24 13:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:55:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mount logs, fs_mark output (12.86 MB, application/x-gzip)
2012-08-08 01:22 EDT, Shwetha Panduranga
no flags Details
fs_mark output when write-behind volume option is set to 'off' (1.39 KB, application/x-gzip)
2012-08-08 02:44 EDT, Shwetha Panduranga
no flags Details

  None (edit)
Description Shwetha Panduranga 2012-08-08 01:22:08 EDT
Created attachment 602942 [details]
mount logs, fs_mark output

Description of problem:
----------------------
fs_mark tool failed with an error "fsync failed File descriptor in bad state"
when run on fuse mount. The failure is observed on both replicate, distribute volumes. 

Version-Release number of selected component (if applicable):
----------------------------------------------------------
mainline

How reproducible:
--------------
often

Steps to Reproduce:
------------------
1.create a replicate/distribute volume
2.create a fuse mount
3.run the fs_mark tool from the sanity_scripts.
  
Actual results:
---------------
executing fs_mark
start: 00:43:20

real    0m42.550s
user    0m0.064s
sys     0m1.095s

real    0m0.130s
user    0m0.000s
sys     0m0.008s
end:00:44:03
fs_mark failed
0
Total 0 tests were successful
Switching over to the previous working directory
Removing /mnt/gfsc1//run31540/
rmdir: failed to remove `/mnt/gfsc1//run31540/': Directory not empty
rmdir failed:Directory not empty


Expected results:
------------------
fs_mark tool execution should be successful
Comment 1 Shwetha Panduranga 2012-08-08 02:42:49 EDT
fs_mark tool execution is successful when "write-behind volume option is set to 'off'"
Comment 2 Shwetha Panduranga 2012-08-08 02:44:13 EDT
Created attachment 602949 [details]
fs_mark output when write-behind volume option is set to 'off'
Comment 3 Raghavendra Bhat 2012-11-29 07:41:31 EST
http://review.gluster.com/3796 fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.